package net.minecraft.src;

import java.util.Random;

public class BlockFireStone extends Block
{
    public int tickRate()
    {
        return 40; 
    }

    public BlockFireStone(int i, int j)
    {
        super(i, j, Material.rock);
        blockIndexInTexture = j;
        setTickRandomly(true);
        this.setCreativeTab(CreativeTabs.tabBlock);
    }

    public void onEntityWalking(World world, int i, int j, int k, Entity entity)
    {
        if(this.blockID == 1 || this.blockID == mod_fire_stone.fireStone.blockID) // Is the block being stepped on a fireStone block?
        { 
            entity.attackEntityFrom(DamageSource.lava, 6);
            entity.setFire(400);
        }
    }
    
    public boolean pressure(IBlockAccess iblockaccess, int i, int j, int k)
    {
		int i1 = iblockaccess.getBlockId(i, j + 1, k);
    	if(i1 != this.blockID && i1 == Block.obsidian.blockID)
        {
    		return true;
        }
    	else
    	{
    		return false;
    	}
    }
    
    public boolean heat(IBlockAccess iblockaccess, int i, int j, int k)
    {
    	int i1 = iblockaccess.getBlockId(i + 1, j, k);
		int i2 = iblockaccess.getBlockId(i - 1, j, k);
		int i3 = iblockaccess.getBlockId(i, j, k + 1);
		int i4 = iblockaccess.getBlockId(i, j, k - 1);
        return i1 == Block.lavaStill.blockID && i2 == Block.lavaStill.blockID && i3 == Block.lavaStill.blockID && i4 == Block.lavaStill.blockID;
    }

    public void updateTick(World world, int i, int j, int k, Random random)
    {
		if((this.blockID == 1 || this.blockID == mod_fire_stone.fireStone.blockID) && heat(world, i, j, k) && pressure(world, i, j, k)) // Is this a fireStone
        { 
            world.playSoundEffect((float)i + 0.5F, (float)j + 0.5F, (float)k + 0.5F, "random.fizz", 0.3F, 2.6F + (random.nextFloat() - random.nextFloat()) * 0.8F);
            world.setBlockAndMetadataWithNotify(i, j, k, 0 , 0);
            world.markBlockNeedsUpdate(i, j, k);
            world.setBlockAndMetadataWithNotify(i, j, k, Block.oreDiamond.blockID, 0);
            return;
         }
         return;
     }
            
     public void onNeighborBlockChange(World world, int i, int j, int k, int l, EntityPlayer entityplayer)
     {
    	 //entityplayer.addChatMessage("It seems as if your diamonds are ready!");
     }

     public int idDropped(int i, Random random, int foo)
     {
    	 return Block.cobblestone.blockID;
     }
}
